[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.Delete

Delete an item from the collection.

## Declaration

Source position: classesh.inc line 557

`public procedure TCollection.Delete(`
`Index: Integer`
`);`

## Description

Delete deletes the item at (zero based) position Index from the collection. This will result in a cnDeleted notification.

## Errors

If an invalid index is specified, an EListError exception is raised.

## See also

TCollection.Items |  | Indexed array of items in the collection.
TCollection.Insert |  | Insert an item in the collection.
TCollection.Clear |  | Removes all items from the collection.